Indexer info
Indexer info and state
Retrieves the current status, sync progress, and current SMT root of ZCashNames Resolution Indexer node.
Endpoint
GET https://indexer.zcashnames.co/v1.0/info (get basic info)
POST https://indexer.zcashnames.co/v1.0/info (If additional parameters are required)
Request Body
The request body must be a JSON object containing the following parameters:
| Parameter | Type | Default | Description |
|---|---|---|---|
extended | boolean | false | If true, additionally returns additional info values |
Code Examples
- cURL
- JavaScript
- Python
- PHP
curl -X GET https://indexer.zcashnames.co/v1.0/info
const url = 'https://indexer.zcashnames.co/v1.0/info';
fetch(url, {
method: 'GET'
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.zcashnames.co/v1.0/info"
response = requests.get(url)
print(response.json())
<?php
$url = 'https://indexer.zcashnames.co/v1.0/info';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
Response Example (with extended: true)
{
"response": {
"last_processed_evm_block": 290811072,
"last_processed_zcash_block": 3423251,
"last_checkpoint": {
"block_id": 3423251,
"smt_root": "1c3ba6eb818b93823d635b7d6737377693796312a1abd2d3b863da5d455df128",
"evm_block_id": 290780166,
"evm_tx_hash": "0x5961a4cd4ac1e8492f1137b01ca84926184699e0b8a2549f358de91157517786"
},
"indexer_smt_root": "1c3ba6eb818b93823d635b7d6737377693796312a1abd2d3b863da5d455df128",
"indexer_synced": true,
"domains_count": 4,
"registrar_address": "u19wrjepy7wkhw7paa5x0upp2k98qs78em5n79dm88ed22skrlsc6nv42mx5m7dkut3mjamhn86mwecj0plsu9y22a30httx4xx5vt6plm",
"registrar_viewing_key": "uivk15w9089edvuzw93t2e4mdr3l335w9tu9as6tzcayekexpdt02jup3tr5v0xtgtp473zf8h027wh900gdl5lhpvg8574w52c583zkgs5447j2wpxrru556wcyxqv2y27p47g3s0hykey"
}
}
| Field | Type | Description |
|---|---|---|
last_processed_evm_block | int | Last processed EVM block (scan for new checkpoints) |
last_processed_zcash_block | int | Latest processed block on chain (usually last checkpoint's block_id) |
indexer_smt_root | string | The latest point of Indexer's sync (SMT Root of the Indexer) |
indexer_synced | boolean | Whether the latest SMT Root of the synced checkpoints of the Indexer is equal to the latest processed SMT Root by the Indexer. This doesn't mean that the node is fully synced. Always check latest validated root from the EVM contract to determine the full sync state. |
domains_count | int | Total names registered |
registrar_address | string | Address of the Registrar to process incoming TXes and escrow |
registrar_viewing_key | string | Viewing key of the Registrar ZCash Address to get an access to Protocol history |
last_checkpoint | Latest checkpoint information (latest SMT Root update) | |
smt_root | string | Latest Merkle tree root (hex) |
block_id | int | ZCash block_id of the last checkpoint and SMT Root generation |
evm_block_id | int | EVM block_id where last Proof is checked with SP1 smart contract |
evm_tx_hash | string | EVM tx_hash where last Proof was checked with SP1 smart contract |
warning
If last_processed_zcash_block is significantly behind last_checkpoint.block_id, recent registrations may not be reflected yet.